JEvents 1.5 (No longer actively supported)

SOLVED - Cannot save/edit events - backend

JEvents 2.0 was launched over 2 years ago and the latest stable version is version 2.2 which will run on Joomla 1.5 and Joomla 2.5. JEvents 1.5 is therefore no longer actively supported - you should upgrade to JEvents 2.2+ as soon as possible.
Forum rules
Please include as much detail in any test or bug reports for JEvents 1.5 as possible.

First of all, check if you are running the latest available version of Joomla! and JEvents. Posts for issues, where both systems are not updated, will be ignored.

We need the following at least:

* PHP version (e.g. 5.2.5). Note: Support for PHP4 is discontinued.
* Joomla! version
* JEvents version
* Web Server software (Apache or IIS with version number if possible)
* Server Operating system (e.g. Linux, Windows, Solaris, Darwin ...)
* Database version
* memory_limit from your phpinfo
* Web browser and version

Please enable error reporting and include any error messages in your posting. You do this via the Joomla Configuration - set "error reporting" to "maximum" on the Server tab.

Finally, please describe the steps required to recreate the problem and also please enable error reporting and give us any error messages generated.

Postby noletorious » Thu Nov 03, 2011 9:14 pm

PHP 5.2
Joomla: 1.5.24
Jevents: 2.0.4
Linux / 4GH Web Hosting
Browswer: chrome, firefox 7.0.1
MySQL: 5.0.91
editor: JCE/TinyMCE
site: Passport2ashland.com
****cannot edit/save backend events

Hellos,

What happens is Jevents will not save/edit events on the back end. Havent tried front end but I see that this problem is very common and havent seen this error in the forums ive looked at yet...

Location: administrator/components/com_jevents/assets/editical.js
line: 775

$(document.adminForm).formToJson is not a function
[Break On This Error] requestObject.formdata = $(document.adminForm).formToJson();

What i have tried so far:
1. reinstalling component, also tried rolling back from 2.0.9 to 2.0.4
2. disabling editors, switch editors,
3. updating joomla from 1.5.23 to 1.5.24

any help would be much appreciated =]
noletorious
 
Posts: 3
Joined: Fri Oct 14, 2011 9:41 pm

Postby Tonyp » Thu Nov 03, 2011 9:23 pm

Hello,

Have you enabled the Mootools upgrade plugin?

Thanks
Tony
---------------------------------------
Feel free to PM me if you would like Custom Installs or Joomla! related work for a competitive quote.

User avatar
Tonyp
Team Staff
 
Posts: 23769
Joined: Tue Oct 12, 2010 9:12 pm
Location: Isle of Man

Postby noletorious » Thu Nov 03, 2011 9:53 pm

Yay Im an idiot. Thanks well i hope this helps someone else in the future. That fixed it.
noletorious
 
Posts: 3
Joined: Fri Oct 14, 2011 9:41 pm

Postby JomyLa » Tue Jan 03, 2012 9:01 am

Yes it did helped me as well.

The problem occurred in my case after an update of Firefox to version 9.01, I was not able to point the cursor into the text field. The strange thing was, that till so far there was no problem; strange.

Thanks and good New Year 2012.
JomyLa
 
Posts: 6
Joined: Wed Jul 20, 2011 1:56 pm

Postby woood77 » Thu Jan 05, 2012 5:09 pm

I have the same issue in Firefox 9+.

It is an issue with the content editor and Jevents. When disabling the content editor without upgrading mootools everything works. I can save and apply events.

After upgrading to mootools 1.2 it is at least functional with the content editor enabled. However, the content area in the editor is still greyed out. There are still some remaining issues.

I recently had the same problem with DT Register. Not being able to save events with the content editor enabled in Firefox 9+. DT Register released up update today that fixed the problem without needing an upgrade to mootools 1.2.

I have quite a few older sites that can't handle the mootools upgrade as it breaks the site. I am hoping Jevents can release a fix or upgrade to fix this problem so I can apply it to the older sites.
woood77
 
Posts: 3
Joined: Fri Nov 06, 2009 6:28 pm

Postby Geraint » Fri Jan 06, 2012 10:49 am

Can you send me login details so I can take a look.

MSIE 9 will have a lot of problems without the MooTools upgrade plugin being enabled so I'm surprised you have managed without it so far.

Have you tried disabling the wysiwyg editor in the frontend of JEvents http://www.jevents.net/en/downloads/cat ... tend-users
JEvents Club members can get priority forum support at the Support Forum. As well as access to a variety of custom JEvents addons and benefits. Join the JEvents club today!
User avatar
Geraint
 
Posts: 42811
Joined: Fri Feb 15, 2008 6:14 pm

Postby vickipayne » Mon Jan 09, 2012 5:46 pm

I am having the same issue - I cannot edit, save, or cancel any event in Firefox 9.0.1.

I think an important thing to note is that I CAN edit, save, delete an event CATEGORY -- so the FF upgrade seems to be having no effect on categories, just events (the WYSIWYG editor is working fine for a category, too).

We cannot enable the Mootools upgrade plugin -- it breaks far too many other components.

Please let us know when an update is available, as this issue will affect several of our client's sites.

Thanks!
vickipayne
Gold Members
 
Posts: 18
Joined: Mon Jan 09, 2012 5:36 pm

Postby Tonyp » Mon Jan 09, 2012 5:48 pm

That is indeed the problem then, You need the Mootools plugin. Can you other plugins not be upgraded?

Regards
---------------------------------------
Feel free to PM me if you would like Custom Installs or Joomla! related work for a competitive quote.

User avatar
Tonyp
Team Staff
 
Posts: 23769
Joined: Tue Oct 12, 2010 9:12 pm
Location: Isle of Man

Postby woood77 » Mon Jan 09, 2012 5:51 pm

Yes. I will PM you the login info.

Here are 2 screen shots showing firefox 8 with the content editor displaying correctly and firefox 9 with the content editor grey. Mootools Upgrade was enabled for the firefox 9 screenshot.

DT Register recently explained the issue being:

"This was not a problem based on a particular browser or even DT Register... it was due to loading the editor inside of the Joomla tabs script. This has been an occasional issue on select sites, and of course seen more frequent in select browsers. We've now corrected the issue by dropping the use of the Joomla tabs script in the configuration and event management areas and replaced it with another script. "

I hope this helps and thank you for yours!
Attachments
firefox9.jpg
Firefox 9
firefox9.jpg (18.55 KiB) Viewed 2385 times
firefox8.jpg
Firefox 8
firefox8.jpg (18.4 KiB) Viewed 2385 times
woood77
 
Posts: 3
Joined: Fri Nov 06, 2009 6:28 pm

Postby vickipayne » Mon Jan 09, 2012 6:18 pm

Hi - I just wanted to make sure my post above didn't get lost in the new responses:

I am having the same issue - I cannot edit, save, or cancel any event in Firefox 9.0.1.

I think an important thing to note is that I CAN edit, save, delete an event CATEGORY -- so the FF upgrade seems to be having no effect on categories, just events (the WYSIWYG editor is working fine for a category, too).

We cannot enable the Mootools upgrade plugin -- it breaks far too many other components.

Please let us know when an update is available, as this issue will affect several of our client's sites.


** I have one other thing to add - we are recommending that our clients use Google Chrome to update their JEvents until this issue is resolved. (IE 9 doesn't create a problem with the description box, but event category cannot be selected.)

Thanks again, Vicki
vickipayne
Gold Members
 
Posts: 18
Joined: Mon Jan 09, 2012 5:36 pm

Next

Return to JEvents 1.5 (No longer actively supported)

  • Who is online
  • View new posts
  • View unanswered posts
  • In total there is 1 user online :: 1 registered and 0 hidden (based on users active over the past 5 minutes)
  • Most users ever online was 94 on Tue Sep 01, 2009 12:33 am
  • Users browsing this forum: Bing [Bot]